Bug 983419 - Documentation needs to be added for new manage storage connections REST api
Documentation needs to be added for new manage storage connections REST api
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Andrew Burden
Tahlia Richardson
Depends On:
  Show dependency treegraph
Reported: 2013-07-11 03:43 EDT by Alissa
Modified: 2014-07-24 20:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-24 20:38:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alissa 2013-07-11 03:43:24 EDT
Description of problem:
New feature of managing storage connections will be added in 3.3
Its REST api needs documentation.

Version-Release number of selected component (if applicable):

Expected results:

Additional info:
Feature page is here:

The root of the api will be:

There will be GET/POST (add new) / DELETE/ PUT (update)
Once they are ready, their description and usage example will be added in the feature page.
Comment 1 Andrew Burden 2014-04-30 03:58:38 EDT
A new topic was added to the 3.3 Developer Guide, which is now the 3.4 Technical Guide, that deals with storage connections.

Topic added:
storageconnection [26981]

Topic can be viewed here:
Comment 2 Tahlia Richardson 2014-07-24 20:38:01 EDT
Peer reviewed.

Table is ugly (very squished), but I suppose that can't be helped. No actual errors found. 


Note You need to log in before you can comment on or make changes to this bug.